Assign Phone Number
curl --request PUT \
--url https://api.getello.ai/api/agents/{agent_id}/phone-number \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'import requests
url = "https://api.getello.ai/api/agents/{agent_id}/phone-number"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.getello.ai/api/agents/{agent_id}/phone-number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Phone number assigned successfully",
"data": {
"agent_id": "786786778hj",
"phone_number": "786786709",
"assignment_status": "success"
}
}{
"status": 400,
"message": "Unexpected error"
}{
"status": 401,
"message": "Authentication token is missing or invalid"
}{
"status": 500,
"message": "Error while updating agent phone number"
}Phone Number
Assign Phone Number
Assigns a phone number for a specific agent by their ID.
PUT
/
api
/
agents
/
{agent_id}
/
phone-number
Assign Phone Number
Authorizations
apiKeybearerAuth
Path Parameters
Unique identifier of the agent to assign or update the phone number for.
Example:
"786786778hj"
Body
application/json
The phone number to be assigned or updated for the agent.
Example:
"786786709"
⌘I